Bug 1732707 - Run Openscap scan does not work for ansible deployments. [NEEDINFO]
Summary: Run Openscap scan does not work for ansible deployments.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: SCAP Plugin
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: Ondřej Pražák
QA Contact: Jameer Pathan
URL:
Whiteboard:
Depends On:
Blocks: 1771491
TreeView+ depends on / blocked
 
Reported: 2019-07-24 07:51 UTC by Jameer Pathan
Modified: 2021-01-20 21:31 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1771491 (view as bug list)
Environment:
Last Closed: 2020-04-14 13:25:08 UTC
Target Upstream Version:
jpathan: needinfo? (mmccune)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 27628 0 Normal Closed Run Openscap scan does not work for ansible deployments. 2021-01-20 19:51:14 UTC
Red Hat Knowledge Base (Solution) 4658381 0 None None None 2020-05-11 12:19:53 UTC
Red Hat Product Errata RHSA-2020:1454 0 None None None 2020-04-14 13:25:20 UTC

Description Jameer Pathan 2019-07-24 07:51:25 UTC
Description of problem:
Run Openscap scan does not work for ansible deployments.

Version-Release number of selected component (if applicable):
- Satellite 6.6.0 snap 12

How reproducible:
always

Steps to Reproduce:
1. Create a host with scap configured via ansible.
2. Run Openscap scan from satellite UI.

Actual results:
- 'Run scan for all OpenSCAP policies on host' job fails.

Expected results:
- 'Run scan for all OpenSCAP policies on host' job should pass and generate reports.

Additional info:
- The issue seems to be occurring because of job template used for Run OpenSCAP
scans only works for scap deployments using puppet and not for ansible deployments.
- There is also one more bug filed for Run Opesnscap scan https://bugzilla.redhat.com/show_bug.cgi?id=1712345

Comment 4 Ondřej Pražák 2019-08-14 14:23:21 UTC
Created redmine issue https://projects.theforeman.org/issues/27628 from this bug

Comment 5 Bryan Kearney 2019-08-14 16:02:45 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 6 Bryan Kearney 2019-08-14 16:02:47 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 7 Bryan Kearney 2019-10-23 14:02:40 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27628 has been resolved.

Comment 10 Jameer Pathan 2019-12-26 07:13:25 UTC
Verified:

Verified with:
- Satellite 6.7.0 snap 7
- tfm-rubygem-foreman_openscap-2.0.2-1.el7sat.noarch

Test steps:
1. Create a host with scap configured via ansible.
2. Run Openscap scan from satellite UI.

Observation:
- 'Run scan for all OpenSCAP policies on host' job completed successfully and generated scap reports.

Comment 14 errata-xmlrpc 2020-04-14 13:25:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.